<bugID>444763<Summary>Use an unshared cache connection instead of a shared one</Summary><Description>In my simple test benchmark, I was seeing a decrease in the number of ticks used for a sample location bar query that would find no results.  The decrease was about 7000 ticks from 90000 ticks to 83000 ticks.  Roughly a 7% win.

The downside to this is if someone were to open up another connection to the database in our process, and does writes, we can see a perf hit.  However, add-ons (or anyone really) shouldn't be doing that.

cc'ing thunder just to make sure weave isn't doing that.</Description></bugID>